0 Replies Latest reply on Aug 5, 2015 8:12 AM by Luigi Piron

    CHANGE ORIGIN OF ORDINATE DIMENSION API

    Luigi Piron


      Good Afternoon

      i'm little in trouble i'm triing to change the origin of ordinate dimension in a drawing document,

      i' have tried to make the selection of the dimension and after of the vertex in wich i'd like to pick the new origin it' s like this :

       

           MsgBox "  Click OK and select the new 0!  "

            While sMgr.GetSelectedObjectCount < MINSELECTIONS + 1

            DoEvents

            swFrame.SetStatusBarText "SELECT THE NEW 0 !" ' feed status message to status bar

          Wend

         

          boolstatus = swModelDoc.Extension.SelectByID2(swDimName, "DIMENSION", 0, 0, 0, False, 0, Nothing, 0)

          boolstatus = swModelDoc.Extension.SelectByID2("", "VERTEX", 0, 0, 0, True, 0, Nothing, 0)

          boolstatus = swModelDoc.ReattachOrdinate()

       

      but it doesn't work

      Anyone can help me??